#ifndef GAME_CLIENT_COMPONENTS_MUMBLE_H
#define GAME_CLIENT_COMPONENTS_MUMBLE_H
#include <game/client/component.h>

class CMumble : public CComponent
{
	void *m_pLinkedMem;

public:
	CMumble();
	int Sizeof() const override { return sizeof(*this); }
	void OnStateChange(int NewState, int OldState) override;
	void OnReset() override;
	void OnNewSnapshot() override;
};

#endif
